Subject: bug#19604: echo --help does not work

From: prateek goyal <[email-masked]>
Date: Thu, 15 Jan 2015 21:25:51 +0530

So even if I execute following command, it gives same result:

env POSIXLY_CORRECT=1 echo --help

prateek@prateek-pc:~/Documents/awk$ env POSIXLY_CORRECT=1 echo --help
--help

Thanks,
prateek

On 15 January 2015 at 19:39, Eric Blake <[email-masked]> wrote:

> On 01/15/2015 04:36 AM, Pádraig Brady wrote:
> > tag 19604 notabug
> > close 19604
> > stop
> >
> > On 15/01/15 06:20, prateek goyal wrote:
> >> Hi,
> >>
> >>
> >> when I try to use --help option with echo command, it does not print
> help contents, but prints "--help".
> >>
> >>
> >> prateek@prateek-pc:~/Documents/awk$ echo --help
> >> --help
> >
> > You're actually using your shell's echo there.
> > To use the coreutils one:
> >
> >   env echo --help
>
> Furthermore, the behavior you saw in your shell is required by POSIX.
> If you do 'env POSIXLY_CORRECT=1 echo --help', you will get the same
> behavior from coreutils as you did from your shell.  'echo' is one of
> the few utilities that _cannot_ honor --help for compatibility reasons.
>
>
> > Note newer versions of bash will support $builtin --help,
> > though I've not tested the echo case which would
> > introduce a change in behavior.
>
> If bash changes the behavior of 'echo --help' in POSIX mode, then that
> would be a bug in bash.
>
> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>
>

-- 

*Thanks,Prateek Goyal*